Program ShowBin;

Uses Crt;

{$L test.obj}
{$L test2.obj}
(***************************************************************************)
(* Template for displaying TheDraw graphics screens saved as a .BIN file.  *)
(***************************************************************************)
(* First, the .BIN file created by TheDraw must be converted               *)
(* to an .OBJ file by using Boralnd's BINOBJ program.                      *)
(* You must assign a unique dummy public name to each .BIN                 *)
(* file you are linking, and use the $L compiler directive to              *)
(* link in each .OBJ file.  For example, I assigned the public             *)
(* name "ShowBinaryFile" to test.bin when I converted it to an             *)
(* .OBJ file by using the syntax "BINOBJ test.bin test.obj ShowBinaryFile" *)
(* Then simply declare the public name as an external procedure, set up a  *)
(* pointer, and call the Move procedure to display your screen.            *)
(*                                                                         *)
(* This program provided compliments of                                    *)
(*                                    Brian Corll                          *)
(*                                    102 West Locust Street               *)
(*                                    Mechanicsburg, PA 17055              *)
(*                                                                         *)
(*                                    You can reach me by QwikMail         *)
(*                                    on the Pascal conference.            *)
(***************************************************************************)

Type
   ScreenType = Array[0..3999] of Byte;

Var
   Screen : ScreenType absolute $B800 : 0000;
   BinPtr : ^ScreenType;


    Procedure ShowBinaryFile;external;
    Procedure ShowSecondFile;external;

begin
     BinPtr := Ptr(CSeg,Ofs(ShowBinaryFile));
     Move(BinPtr^,Screen,4000);
     Delay(2000);
     BinPtr := Ptr(CSeg,Ofs(ShowSecondFile));
     Move(BinPtr^,Screen,4000);
end.


